{% extends '@DemosPlanCore/DemosPlanCore/base_oeb.html.twig' %}

{% block component_part %}

    {% embed '@DemosPlanCore/DemosPlanCore/includes/participation_area_skeleton.html.twig' with {
        'content_heading': title|default(),
        'full_width': true
    }%}

        {% block content %}

            <form name="editUserStory" action="{{ path('DemosPlan_forum_development_userstory_edit', {'releaseId': templateVars.userStory.releaseId, 'storyId': templateVars.userStory.ident }) }}" method="post" enctype="multipart/form-data">

                <label>
                    {{ "user.story"|trans }}
                    <input class="layout__item" name="r_title" type="text" value="{{templateVars.userStory.title|default() }}">
                </label>

                <label class="u-mb-0">
                    {{ "description"|trans }}
                </label>
                <dp-editor
                    value="{{ templateVars.userStory.description|default() }}"
                    hidden-input="r_description"
                    class="u-mb">
                </dp-editor>

                <div class="text-right space-inline-s">
                    <input class="btn btn--primary" type="submit" name="saveUserStory" value="{{ "save"|trans }}">
                    <a class="btn btn--warning" data-form-actions-confirm=" {{ "check.user.story.delete"|trans }}" href="{{ path('DemosPlan_forum_development_userstory_delete',{'releaseId': templateVars.userStory.releaseId, 'storyId': templateVars.userStory.ident, 'token': templateVars.token}) }}">
                        {{ "delete"|trans }}
                    </a>
                    <a class="btn btn--secondary" href="{{ path('DemosPlan_forum_development_userstory_detail', {'storyId': templateVars.userStory.ident }) }}">
                        {{ "abort"|trans }}
                    </a>
                </div>
            </form>

        {% endblock content %}

    {% endembed %}

{% endblock %}
{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['forum-developmentReleaseStoryEdit.js']) }}
{% endblock %}
